Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class RepeatForUnitEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.beacm.RepeatForUnitEnum

All Implemented Interfaces
  IDigestSupport, Serializable

    public class RepeatForUnitEnum

extends CollabEnum
implements Serializable

The enumeration class that contains `RepeatForUnit` elements.

See Also
  Serialized Form

Field Summary
`static RepeatForUnit` | `DAYS` The days repeat for unit.
`static RepeatForUnit` | `MONTHS` The months repeat for unit.
`static int` | `NUM_ELEMENTS`
`static int` | `VALUE_DAYS`
`static int` | `VALUE_MONTHS`
`static int` | `VALUE_WEEKS`
`static int` | `VALUE_YEARS`
`static RepeatForUnit` | `WEEKS` The weeks repeat for unit.
`static RepeatForUnit` | `YEARS` The years repeat for unit.

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `RepeatForUnitEnum(Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, String sInternalName, boolean bMaskable)` Constructor.
`protected` | `RepeatForUnitEnum(int iNumElements)` Constructor.

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DAYS

    public static final int VALUE_DAYS

See Also
  Constants Summary

### VALUE_WEEKS

    public static final int VALUE_WEEKS

See Also
  Constants Summary

### VALUE_MONTHS

    public static final int VALUE_MONTHS

See Also
  Constants Summary

### VALUE_YEARS

    public static final int VALUE_YEARS

See Also
  Constants Summary

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also
  Constants Summary

### DAYS

    public static final RepeatForUnit DAYS

  The days repeat for unit.

### WEEKS

    public static final RepeatForUnit WEEKS

  The weeks repeat for unit.

### MONTHS

    public static final RepeatForUnit MONTHS

  The months repeat for unit.

### YEARS

    public static final RepeatForUnit YEARS

  The years repeat for unit.

Constructor Detail

### RepeatForUnitEnum

    protected RepeatForUnitEnum(Class elementClass,
                                int iNumElements,
                                com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                                EnumElement defaultElement,
                                String sInternalName,
                                boolean bMaskable)

  Constructor.

### RepeatForUnitEnum

    protected RepeatForUnitEnum(int iNumElements)

  Constructor.

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved